Bug 1866997 - Network Attachment Definition form creation page failed to open drop-down list
Summary: Network Attachment Definition form creation page failed to open drop-down list
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Jakub Hadvig
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-07 05:47 UTC by XiaochuanWang
Modified: 2020-08-31 09:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
issue screenshot (20.80 KB, image/png)
2020-08-07 05:47 UTC, XiaochuanWang
no flags Details
Verification screenshot (21.96 KB, image/png)
2020-08-31 09:47 UTC, XiaochuanWang
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6261 None closed Bug 1866997: Warn user that when HyperConverged and SR-IOVNetwork CRDs are missing 2020-08-31 01:04:17 UTC

Description XiaochuanWang 2020-08-07 05:47:49 UTC
Created attachment 1710730 [details]
issue screenshot

Description of problem:
Network Attachment Definition form creation page (k8s/ns/<project>/k8s.cni.cncf.io~v1~NetworkAttachmentDefinition/~new/form) can not open the drop-down list and Create button is always disabled.

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-06-131904

How reproducible:
Always

Steps to Reproduce:
1. From Search page, filter the NetworkAttachmentDefinition 
2. Click the "Create Network Attachment Definition" button and check the "Network Type" drop-down list
3.

Actual results:
The drop-down list is disabled to open, thus Create button is also disabled.

Expected results:
Drop-down list should work and user can config for creating NetworkAttachmentDefinition on the form page.

Additional info:

Comment 1 Jakub Hadvig 2020-08-07 10:50:40 UTC
This issue is due to the fact the `OpenShift Virtualization` && `SR-IOV Network` operators need to be installed on the cluster.
Would be good to add the warning if this is the case.

Comment 8 XiaochuanWang 2020-08-31 09:47:19 UTC
Created attachment 1713126 [details]
Verification screenshot


Note You need to log in before you can comment on or make changes to this bug.